#include <bits/stdc++.h>
using namespace std;
long long a, b, c;

bool compare(string a, string b)
{
	for (int i = 0; i <= 19; ++i)
	{
		if (a[i]-'0'==b[i]-'0') continue;
		return a[i]-'0'>b[i]-'0';
	}
	return 1;
}

int main()
{
	cin >> a >> b >> c;
	string x = to_string(a), y = to_string(b), z = to_string(c);
	string vals[6] = {x+y+z, x+z+y, y+x+z, y+z+x, z+x+y, z+y+x};
	string res = vals[0];
	for(int i = 1; i < 6; ++i)
	{
		if (!compare(res, vals[i])) res = vals[i];
	}
	cout << res << '\n';
}